viDragDrop = {};

function viDragDrop:setPosition(self, x, y, newRender, dragDropWidth, dragDropHeight, dragDropType)
	if newRender then			
		local foundHelpText = false;
		local widthTable = 0;
		local heightTable = 0;		
		if dragDropType ~= nil then
			widthTable = dragDropWidth;
			heightTable = dragDropHeight;
		end;
		local checkPosX = x+widthTable;		
		local checkPosY = y-heightTable;--+widthTable;		
		local color = getWarningRahmen(checkPosX, checkPosY);			
		viGui:setBackgroundColor(self, viGui["dragDropGround"], viExtras.colors[color]);
		if color == "red" then					
			foundHelpText = true;
			viGui.helpText.txt = "Position not Good\nsee not all Menue/Taks Icons";
			viGui.helpText.posX = x;
			viGui.helpText.posY = y;
		end;		
		viGui:setOverlay(self, viGui["dragDropGround"], x, y-heightTable, widthTable, heightTable);
		if dragDropType == "settingsOnViMenue" then			
			
		end;
		if not foundHelpText then		
			viGui.helpText.txt = "";
			viGui.helpText.posX = 0;
			viGui.helpText.posY = 0;
		end;				
	else
		viGui:setBackgroundColor(self, viGui["dragDropGround"], viExtras.colors["green"]);
		viGui:setOverlay(self, viGui["dragDropGround"], 0, 0, widthTable, heightTable);
		viGui.helpText.txt = "";
		viGui.helpText.posX = 0;
		viGui.helpText.posY = 0;
	end;	
end;

function getWarningRahmen(x, y)		
	if x > 1.004 or x <= 0.004 or y >= 1.004 or y <= -0.004 then return "red";end;
	if x > 1.0 and x < 1.004 or y < 0.0 and y > -0.004 then return "yellow";end;	
	return "green";
end;